html {
  /* Disables pull-to-refresh on Chrome. */
  overscroll-behavior-y: contain;
}

/*==========
Font assets
==========*/

/* Material Design icons: https://github.com/google/material-design-icons */
@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url('../md-icons/v38.eot'); /* For IE6-8 */
  src: local('Material Icons'), local('MaterialIcons-Regular'), url('../md-icons/v38.woff2') format('woff2'),
    url('../md-icons/v38.woff') format('woff'), url('../md-icons/v38.ttf') format('truetype');
}

.material-icons {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 24px; /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;

  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;

  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;

  /* Support for IE. */
  font-feature-settings: 'liga';
}

/* Roboto font: https://fonts.google.com/specimen/Roboto https://google-webfonts-helper.herokuapp.com */
/* roboto-regular - latin-ext_latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: local('Roboto'), local('Roboto-Regular'),
    url('../roboto/roboto-v18-latin-ext_latin-regular.woff2') format('woff2'),
    /* Chrome 26+, Opera 23+, Firefox 39+ */ url('../roboto/roboto-v18-latin-ext_latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/* roboto-500 - latin-ext_latin */
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: local('Roboto Medium'), local('Roboto-Medium'),
    url('../roboto/roboto-v18-latin-ext_latin-500.woff2') format('woff2'),
    /* Chrome 26+, Opera 23+, Firefox 39+ */ url('../roboto/roboto-v18-latin-ext_latin-500.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}

/*==========
Splash page
==========*/
@keyframes pulse {
  50% {
    transform: scale(1.2, 1.2);
  }
}

div.splash-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100%;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: center;
  justify-content: center;
  -ms-flex-align: center;
  align-items: center;
  overflow: hidden;
}

div.splash-loader {
  animation: pulse 0.8s 30;
  text-align: center;
  -ms-flex-order: 0;
  order: 0;
  -ms-flex: 0 1 auto;
  flex: 0 1 auto;
  -ms-flex-item-align: auto;
  align-self: auto;
}

i.splash-icon {
  font-size: 6em;
}

/*==========
Navbar
==========*/
a.navbar-link-text {
  font-size: 15px;
}

/*==========
Login screen
==========*/
div.item-title-with-badge {
  overflow: visible !important;
}

#loginNumFieldTechs {
  position: absolute;
  margin-top: -1px;
  margin-left: 5px;
}

h3.contact {
  font-weight: 500;
}

/*==========
Misc
==========*/
@media (min-width: 1024px) {
  .md .toast.toast-bottom,
  .md .toast.toast-top {
    right: 24px !important;
    width: fit-content !important;
  }
}

.button-centered {
  margin: 0 auto;
  width: fit-content;
  width: -moz-fit-content;
}

p.text-desc {
  color: #535353;
  text-align: center;
}

p.text-desc i.icon {
  margin-right: 5px;
}

[data-hidden] {
  display: none !important;
}

[data-invis] {
  visibility: hidden !important;
}

.dim {
  color: #999;
  font-weight: normal;
}

div.no-margin {
  margin: 0 0 !important;
}

div.half-margin {
  margin: 16px 0 !important;
}

.text-uppercase {
  text-transform: uppercase;
}

input[disabled],
select[disabled] {
  opacity: 0.55 !important;
  pointer-events: none !important;
}

.color-danger {
  color: #f44336 !important;
}

.color-gray {
  color: #8e8e92 !important;
}

.color-success {
  color: #4caf50 !important;
}

.text-title {
  color: rgba(0, 0, 0, 0.54);
  line-height: 16px;
  font-weight: 500;
}

i.icon-project-status {
  top: -2px;
}

@keyframes background-fade-highlight {
  0% {
    background-color: #d1f0ff;
  }
  100% {
    background-color: transparent;
  }
}

li.highlighted {
  animation: background-fade-highlight 2.5s ease-out;
}

a.link-button {
  padding: 14px;
}

a.link-button:before {
  content: '';
  width: 130%;
  height: 130%;
  position: absolute;
  left: -15%;
  top: -15%;
  background-image: -webkit-radial-gradient(center, circle, rgba(0, 0, 0, 0.2) 66%, rgba(0, 0, 0, 0) 66%);
  background-image: radial-gradient(circle at center, rgba(0, 0, 0, 0.2) 66%, rgba(0, 0, 0, 0) 66%);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 100% 100%;
  opacity: 0;
  pointer-events: none;
  -webkit-transition-duration: 0.6s;
  transition-duration: 0.6s;
}

a.link-button.active-state:before {
  opacity: 1;
  -webkit-transition-duration: 150ms;
  transition-duration: 150ms;
}

.accordion-skip-animation {
  transition-duration: 0s;
}

.text-center {
  text-align: center;
}

.vertical-align-top {
  vertical-align: top;
}

i.icon-xl {
  font-size: 50px;
}

#projectsActiveNone {
  padding: 20px 5px;
  color: #8d8d91;
}

/* Disables input number spinners. */
input[type='number']::-webkit-inner-spin-button,
input[type='number']::-webkit-outer-spin-button {
  -webkit-appearance: none;
  appearance: none;
  margin: 0;
}

/* A space-between container. */
div.button-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0px 10px;
}

div.button-container > div {
  margin: 0 8px;
}

a.button-static {
  width: fit-content;
  width: -moz-fit-content;
}

@keyframes bounceIn {
  from,
  20%,
  40%,
  60%,
  80%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  0% {
    opacity: 0;
    -webkit-transform: scale3d(0.3, 0.3, 0.3);
    transform: scale3d(0.3, 0.3, 0.3);
  }

  20% {
    -webkit-transform: scale3d(1.1, 1.1, 1.1);
    transform: scale3d(1.1, 1.1, 1.1);
  }

  40% {
    -webkit-transform: scale3d(0.9, 0.9, 0.9);
    transform: scale3d(0.9, 0.9, 0.9);
  }

  60% {
    opacity: 1;
    -webkit-transform: scale3d(1.03, 1.03, 1.03);
    transform: scale3d(1.03, 1.03, 1.03);
  }

  80% {
    -webkit-transform: scale3d(0.97, 0.97, 0.97);
    transform: scale3d(0.97, 0.97, 0.97);
  }

  to {
    opacity: 1;
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
  }
}

.animation-bouncein {
  -webkit-animation-duration: 0.75s;
  animation-duration: 0.75s;
  -webkit-animation-name: bounceIn;
  animation-name: bounceIn;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.animation-fadein {
  animation-duration: 0.75s;
  animation-name: fadeIn;
  animation-fill-mode: both;
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    transform: translateY(40px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.animation-fadeinup {
  animation-duration: 0.75s;
  animation-name: fadeInUp;
  animation-fill-mode: both;
}

@keyframes zoomIn {
  from {
    opacity: 0;
    -webkit-transform: scale3d(0.5, 0.5, 0.5);
    transform: scale3d(0.5, 0.5, 0.5);
  }

  50% {
    opacity: 1;
  }
}

.animation-zoomin {
  animation-duration: 0.75s;
  animation-name: zoomIn;
  animation-fill-mode: both;
}

div.block-title > div.subtitle {
  color: rgba(0, 0, 0, 0.45);
  font-size: 12px;
  margin-top: 4px;
  font-weight: normal;
  overflow: hidden;
  text-overflow: ellipsis;
}

i.icon-sm {
  font-size: 12px;
}

i.icon-pad {
  padding-left: 5px;
}

i.icon-pad-r {
  padding-right: 5px;
}

div.item-title-block-title {
  font-size: 14px;
  font-weight: 500;
  color: rgba(0, 0, 0, 0.54);
  line-height: 16px;
}

li.item-group-desc {
  font-weight: 400 !important;
  font-size: 12px !important;
}

div.list-borders {
  border-top: 1px solid rgba(0, 0, 0, 0.12);
  border-bottom: 1px solid rgba(0, 0, 0, 0.12);
}

.dialog-button-left {
  margin-right: auto !important;
}

.md .email-list-item.item-input-with-error-message {
  padding-bottom: 5px;
}

span.dialog-text-bold {
  font-weight: 500;
  color: black;
}

button.camera-button {
  display: inline-block;
  width: fit-content;
  padding: 0 6px !important;
  min-width: unset !important;
  margin-right: 5px;
}

/*==========
Color themes
==========*/
.md .theme-color {
  color: #2196f3 !important;
}
.md .color-theme-red .theme-color {
  color: #f44336 !important;
}
.md .color-theme-green .theme-color {
  color: #4caf50 !important;
}
.md .color-theme-blue .theme-color {
  color: #2196f3 !important;
}
.md .color-theme-pink .theme-color {
  color: #e91e63 !important;
}
.md .color-theme-yellow .theme-color {
  color: #ffeb3b !important;
}
.md .color-theme-orange .theme-color {
  color: #ff9800 !important;
}
.md .color-theme-gray .theme-color {
  color: #9e9e9e !important;
}
.md .color-theme-white .theme-color {
  color: #ffffff !important;
}
.md .color-theme-black .theme-color {
  color: #000000 !important;
}

.md .theme-bg {
  background-color: #2196f3 !important;
}
.md .color-theme-red .theme-bg {
  background-color: #f44336 !important;
}
.md .color-theme-green .theme-bg {
  background-color: #4caf50 !important;
}
.md .color-theme-blue .theme-bg {
  background-color: #2196f3 !important;
}
.md .color-theme-pink .theme-bg {
  background-color: #e91e63 !important;
}
.md .color-theme-yellow .theme-bg {
  background-color: #ffeb3b !important;
}
.md .color-theme-orange .theme-bg {
  background-color: #ff9800 !important;
}
.md .color-theme-gray .theme-bg {
  background-color: #9e9e9e !important;
}
.md .color-theme-white .theme-bg {
  background-color: #ffffff !important;
}
.md .color-theme-black .theme-bg {
  background-color: #000000 !important;
}

/*==========
Left panel
==========*/
div.panel-chip {
  margin-left: 16px;
  margin-top: 10px;
  color: white !important;
}

div.panel-chip .chip-label {
  font-size: 1.3em;
  font-weight: 500;
}

div.panel-account-text {
  font-size: 0.8em;
  line-height: 1.3em;
  align-self: flex-start;
  overflow: hidden;
}

div.panel-account-text > p {
  margin: 0 !important;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

#panelProfileName {
  font-weight: 500;
}

#panelProfileEmail {
  font-size: 0.8em;
}

#panelSync {
  padding: 10px 5px;
  display: flex;
  justify-content: space-around;
  background-color: #002b44;
  color: white;
}

#panelSync > div {
  align-self: center;
}

#panelSyncStatus {
  font-weight: 500;
  font-size: 0.9em;
}

#panelSyncIcon {
  font-size: 30px;
}

.panel-separator {
  height: 1px;
  background-color: rgba(0, 0, 0, 0.12);
  border: 0;
}

i.panel-icon {
  margin-right: 20px;
}

div.panel-list {
  margin: 0 !important;
}

div.right-item-label {
  text-align: right;
  padding-right: 10px;
}

/*==========
View tests page
==========*/
#viewTableListBody > tr:nth-child(even) {
  background-color: rgba(0, 0, 0, 0.05);
}

.md .list-group-title {
  line-height: 35px !important;
  height: 35px !important;
  font-weight: 500;
}

span.breadcrumb:nth-child(n + 3)::before {
  content: '\e315';
  font-family: 'Material Icons';
  margin: 0 8px 0 6px;
  display: inline-block;
  vertical-align: middle;
  font-size: 14px;
  line-height: 1em;
  color: #737373;
}

div#viewGroupList {
  margin: 16px 0 32px 0 !important;
}

div.view-header {
  margin: 16px 10px !important;
}

div.view-group {
  margin: 0 0 16px 0 !important;
}

/*==========
Begin tab
==========*/
.md form#beginForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

div.dialog-checkbox {
  margin-top: 12px;
}

div.dialog-checkbox i.icon-checkbox {
  display: inline-block;
  margin-right: 5px;
  top: 3px;
}

/*==========
End tab
==========*/
.md form#endForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

/*==========
Test kit view
==========*/
div.item-column {
  padding-left: 16px;
  border-left: 1px solid rgba(0, 0, 0, 0.12);
}

div.kit-top-block {
  margin: 6px 0 0 0 !important;
  padding-bottom: 0 !important;
}

#kitVoidUser {
  font-weight: 500;
}

.md form#editForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

i.delete-note-icon {
  font-size: 14px !important;
  width: 14px !important;
  height: 14px !important;
}

/*==========
SVG donut
https://medium.com/@heyoka/scratch-made-svg-donut-pie-charts-in-html5-2c587e935d72
==========*/
.chart-text {
  fill: #000;
  -moz-transform: translateY(0.25em);
  -ms-transform: translateY(0.25em);
  -webkit-transform: translateY(0.25em);
  transform: translateY(0.25em);
}

.chart-number {
  font-size: 0.6em;
  line-height: 1;
  text-anchor: middle;
  -moz-transform: translateY(-0.25em);
  -ms-transform: translateY(-0.25em);
  -webkit-transform: translateY(-0.25em);
  transform: translateY(-0.25em);
}

.chart-label {
  font-size: 0.2em;
  text-transform: uppercase;
  text-anchor: middle;
  -moz-transform: translateY(0.7em);
  -ms-transform: translateY(0.7em);
  -webkit-transform: translateY(0.7em);
  transform: translateY(0.7em);
}

figure {
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  margin: 0 15px;
}

@media (min-width: 475px) {
  figure {
    flex-direction: row;
  }
  .figure-key {
    display: block !important;
  }
  .figure-content svg {
    max-height: 350px;
  }
}

.figure-content,
.figure-key {
  flex: 1;
  align-self: center;
}

.figure-content svg {
  height: auto;
  max-height: 250px;
}

.figure-key {
  min-width: calc(8 / 12);
  display: none;
}

.figure-key-list {
  margin: 0;
  padding: 0;
  list-style: none;
}

.figure-key-list li {
  margin: 0 0 8px;
  padding: 0;
  font-size: 14px;
  font-weight: 500;
}

.shape-circle {
  display: inline-block;
  vertical-align: middle;
  width: 30px;
  height: 30px;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  margin: 0 10px;
}

/*==========
Notes
==========*/
div.note-messages > :last-child {
  margin-bottom: 0 !important;
}

div.add-note {
  display: flex;
  justify-content: space-between;
  align-items: center;
  -webkit-box-pack: justify;
  box-pack: justify;
  box-sizing: border-box;
  -webkit-box-align: center;
  box-align: center;
  align-content: center;
  overflow: hidden;
  background-color: #eee;
  padding: 6px 16px;
}

div.add-note-messagebar-area {
  width: 100%;
  flex-shrink: 1;
  overflow: hidden;
  -webkit-flex-shrink: 1;
  -ms-flex-negative: 1;
}

div.add-note-messagebar-area > textarea {
  max-height: 200px;
}

div.add-note > .note-send {
  align-self: flex-end;
  flex-shrink: 0;
  min-width: 0;
  -webkit-box-pack: center;
  box-pack: center;
  justify-content: center;
  padding-left: 16px;
  line-height: 48px;
  height: 48px;
}

/*==========
Send results
==========*/
div.preloader-small {
  width: 26px !important;
  height: 26px !important;
}

#sendKitsList {
  margin: 0 18px;
}

div.last-updated {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

div.last-updated-padding {
  padding: 8px 16px;
}

div.last-updated-text {
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  color: rgba(1, 1, 1, 0.6);
}

span#sendLastUpdated {
  margin-left: 5px;
  border-bottom: 1px dashed;
}

#sendResultsHeader {
  color: rgba(1, 1, 1, 0.6);
  font-weight: 500;
}

div.send-complete {
  background-color: #a5d6a7;
}

div.send-failed {
  background-color: #ef9a9a;
}

div.send-pending {
  background-color: #eeeeee;
}

div.send-results-list-title {
  margin: 32px 16px 0 16px !important;
}

div.toolbar-title {
  margin: 0 12px;
  font-weight: 500;
  font-size: 18px;
}

div.item-inner-text {
  font-size: 14px;
  line-height: 1.2;
}

.sheet-modal-large {
  height: 300px;
  height: 50vh;
}

/*==========
Account page
==========*/
i.account-icon {
  font-size: 10em;
}

/*==================
Select address popup
====================*/
.address-chip-selected {
  background-color: #f44336 !important;
  color: white !important;
}

.address-chip {
  cursor: pointer;
  max-width: 200px;
}

.md form#selectAddressPopupNewForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

.md form#selectAddressPopupEditForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

.item-input-wrap-no-hairline-bottom:after {
  display: none !important;
}

#selectAddressPopupChipContainer {
  margin-top: -7px;
}

#selectAddressPopupChipContainer > ul > * {
  margin: 7px 3px 0;
}

/*==================
Select tech popup
====================*/
.tech-chip-selected {
  background-color: #f44336 !important;
  color: white !important;
}

.tech-chip {
  cursor: pointer;
  max-width: 200px;
}

.md form#selectTechPopupNewForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

.md form#selectTechPopupEditForm .item-input-with-error-message {
  padding-bottom: 0px !important;
}

.item-input-wrap-no-hairline-bottom:after {
  display: none !important;
}

#selectTechPopupChipContainer {
  margin-top: -7px;
}

#selectTechPopupChipContainer > ul > * {
  margin: 7px 3px 0;
}

/*===============
Utilities
=================*/
.p-0 {
  padding: 0 !important;
}
